// Exact stochastic watersheds, C++ implementation
// Filip Malmberg 2013.				
// For description, license, and example usage see README.TXT.

#ifndef MSF_H
#define MSF_H

#include "Graph.h"

// Computed a minimum spanning forest on g.
// If size(roots)==0, the node with index 0 is used as root.
// g is assumed to be connected

Graph MSF(Graph& g, vector<int> roots);

#endif
