// Exact stochastic watersheds, C++ implementation
// Filip Malmberg 2013.				
// For description, license, and example usage see README.TXT.
		
#ifndef DISJOINT_SET_H
#define DISJOINT_SET_H

#include <vector>
using namespace std;

class DisjointSet{
 public:
  DisjointSet(long n);
 
  long Union(long a, long b);
 
  long Find(long a);

 private:
  vector<long> data; 
};

#endif
